"use strict";

exports.__esModule = true;
exports.getPackageJSONSync = getPackageJSONSync;
exports.getPackageJSON = getPackageJSON;
exports.fileName = void 0;

var _path = require("path");

var _typesPkgJson = require("types-pkg-json");

exports.PackageJSON = _typesPkgJson.PackageJSON;

var _readJsonSafe = require("read-json-safe");

var _version = require("./version");

exports.getVersion = _version.getVersion;
exports.getVersionSync = _version.getVersionSync;
var fileName = "package.json";
exports.fileName = fileName;

function getPath(dirname, relative) {
  if (relative === void 0) {
    relative = "";
  }

  var path = (0, _path.join)(dirname, relative);
  return path.endsWith(fileName) ? path : (0, _path.join)(path, fileName);
}

function getPackageJSONSync(dirname, relative) {
  if (relative === void 0) {
    relative = "";
  }

  var path = getPath(dirname, relative);
  return (0, _readJsonSafe.readJSONFileSync)(path);
}

function getPackageJSON(dirname, relative) {
  if (relative === void 0) {
    relative = "";
  }

  var path = getPath(dirname, relative);
  return (0, _readJsonSafe.readJSONFile)(path);
}